import { Column, Entity, OneToMany, PrimaryColumn } from "typeorm";
import { memberExecutivePositions } from "./memberExecutivePositions";

@Entity()
export class executivePosition {
  @PrimaryColumn({ generated: "increment", type: "int" })
  id: number;

  @Column({ type: "varchar", length: 255 })
  position: string;

  @OneToMany(() => memberExecutivePositions, (memberExecutivePositions) => memberExecutivePositions.executivePosition)
  members: memberExecutivePositions[];
}
